import { StateField } from '@codemirror/state';
import type { ModelId, ModelProvider } from '../../ai/types';
import type { AssistantState, Message } from '../types';
export declare const switchTabEffect: import("@codemirror/state").StateEffectType<"assistant" | "agent">;
export declare const addMessageEffect: import("@codemirror/state").StateEffectType<Message>;
export declare const updateMessageStatusEffect: import("@codemirror/state").StateEffectType<{
    message: Message;
    status: Message["status"];
    content?: string;
}>;
export declare const selectModelEffect: import("@codemirror/state").StateEffectType<ModelId>;
export declare const setApiKeyEffect: import("@codemirror/state").StateEffectType<{
    provider: ModelProvider;
    key: string;
}>;
export declare const toggleSettingsEffect: import("@codemirror/state").StateEffectType<boolean>;
export declare const assistantState: StateField<AssistantState>;
